% construct a sparse symmetric matrix that is D-similar to a matrix with all
% positive entries
n = 10;
H = rand(n);
H(rand(n) > 0.4) = 0;
H = H+H';
D = diag(sign(randn(n,1)));
H = D*H*D;

% reconstruct from a principal minor oracle
H2 = sym_assignment(n,@(Y) det(H(Y,Y)));

% compare results
error = max(abs(abs(H(:)) - H2(:)))