function path = find_chordless_path(A,T,i,j)
% A is an adjacency matrix
% T is a tree with fields .pa and .depth
% i and j are the nodes to find a chordless path between,
%   not counting the edge (i,j)

% assumes that T.depth(i) = T.depth(j) or T.depth(i)+1 = T.depth(j)

if T.depth(i) < T.depth(j)
  if A(i,T.pa(j))
    path = [i T.pa(j) j];
  else
    path = [find_chordless_path(A,T,i,T.pa(j)) j];
  end
else
  if i == j
    path = i;
  elseif A(i,T.pa(j))
    path = [i T.pa(j) j];
  elseif A(T.pa(i),j)
    path = [i T.pa(i) j];
  elseif A(T.pa(i),T.pa(j))
    path = [i T.pa(i) T.pa(j) j];
  else
    path = [i find_chordless_path(A,T,T.pa(i),T.pa(j)) j];
  end
end
